import React from 'react'
import {Dimensions, StyleSheet} from 'react-native'

const {width} = Dimensions.get('window');
export const ComponentsStyles = StyleSheet.create({
    top_margin: Platform.OS === 'ios' ? 40 : 0,
    button: {
        borderRadius: 5,
        margin: 10,
        marginTop: 5,
        borderWidth: 0,
        backgroundColor: "#2b90ea"
    },
    buttonView: {
        flexDirection: 'row',
        justifyContent: 'center',
    },
    container: {
        flex: 1,
        backgroundColor: '#f8f8f8'
    },
    telItemView: {
        flex: 1,
        flexDirection: 'row',
        marginLeft: 15,
        paddingRight: 18,
        paddingVertical: 8,
        borderBottomWidth: 0.5,
        borderBottomColor: '#eaeaea',
    },
    telName: {
        color: '#333',
        fontSize: 15
    },
    telView: {
        flex: 1,
        flexDirection: 'row',
        justifyContent: 'flex-end',
        alignItems: 'center'
    },
    telText: {
        color: '#2b90ea',
    },
    itemMainView: {
        flex: 1,
        flexDirection: 'row',
        paddingTop: 5
    },
    itemView: {
        flex: 1,
        justifyContent: 'flex-start',
        flexDirection: 'row',
    },
    itemViewEnd: {
        justifyContent: 'flex-end',
        flexDirection: 'row',
    },
    icon: {
        fontFamily: 'iconfont',
        fontSize: 14,
        color: '#2b90ea',
        padding: 3,
    },
    titleView: {
        marginHorizontal: 15,
        borderBottomWidth: 0.5,
        borderBottomColor: '#eee'
    },
    titleText1: {
        color: '#333',
        fontSize: 17,
    },
    titleText2: {
        fontSize: 15,
        paddingVertical: 5,
        textAlign: 'right'
    },
    IDText: {
        width: '60%',
        color: '#333',
        fontSize: 15,
        textAlign: 'right'
    },
    font14: {
        fontSize: 14,
        color: '#333333',
    },
    font15: {
        fontSize: 15,
        color: '#333333',
    },
    font16: {
        fontSize: 16,
        color: '#333333',
    },
    fontBold: {
        fontWeight: 'bold',
        fontSize: 15,
        color: '#333333',
    },
    requiredText: {
        color: 'red',
        fontSize: 15,
    },
    iconFont16: {
        fontFamily: 'iconfont',
        fontSize: 16,
        color: '#2b90ea',
        padding: 3,
        textAlign: 'center',
    },
    searchIcon: {
        fontFamily: 'iconfont',
        color: '#333',
        fontSize: 18,
        paddingRight: 15
    },
    mainTouch: {
        marginHorizontal: 10,
        padding: 5,
        backgroundColor: '#fff',
        borderRadius: 5,
    },
    genderStyle: {
        flexDirection: 'row',
        paddingVertical: 5,
        marginLeft: 15,
        marginRight: 0,
        borderBottomWidth: 0.5,
        borderBottomColor: '#eee',
        justifyContent: 'center',
    },
    radioStyle: {
        flex: 1,
        flexDirection: 'row',
        justifyContent: 'flex-end',
        backgroundColor: '#ffffff',
        marginVertical: 5
    },
    bottomTotal: {
        paddingHorizontal: 15,
        paddingVertical: 2,
    },
    totalText: {
        color: "red",
        fontSize: 15
    },
    toolTipText: {
        color: "#fff",
        fontSize: 12,
    },
});
//    Valid style props: [
//       "alignContent",
//       "alignItems",
//       "alignSelf",
//       "aspectRatio",
//       "backfaceVisibility",
//       "backgroundColor",
//       "borderBottomColor",
//       "borderBottomEndRadius",
//       "borderBottomLeftRadius",
//       "borderBottomRightRadius",
//       "borderBottomStartRadius",
//       "borderBottomWidth",
//       "borderColor",
//       "borderEndColor",
//       "borderEndWidth",
//       "borderLeftColor",
//       "borderLeftWidth",
//       "borderRadius",
//       "borderRightColor",
//       "borderRightWidth",
//       "borderStartColor",
//       "borderStartWidth",
//       "borderStyle",
//       "borderTopColor",
//       "borderTopEndRadius",
//       "borderTopLeftRadius",
//       "borderTopRightRadius",
//       "borderTopStartRadius",
//       "borderTopWidth",
//       "borderWidth",
//       "bottom",
//       "color",
//       "decomposedMatrix",
//       "direction",
//       "display",
//       "elevation",
//       "end",
//       "flex",
//       "flexBasis",
//       "flexDirection",
//       "flexGrow",
//       "flexShrink",
//       "flexWrap",
//       "fontFamily",
//       "fontSize",
//       "fontStyle",
//       "fontVariant",
//       "fontWeight",
//       "height",
//       "includeFontPadding",
//       "justifyContent",
//       "left",
//       "letterSpacing",
//       "lineHeight",
//       "margin",
//       "marginBottom",
//       "marginEnd",
//       "marginHorizontal",
//       "marginLeft",
//       "marginRight",
//       "marginStart",
//       "marginTop",
//       "marginVertical",
//       "maxHeight",
//       "maxWidth",
//       "minHeight",
//       "minWidth",
//       "opacity",
//       "overflow",
//       "overlayColor",
//       "padding",
//       "paddingBottom",
//       "paddingEnd",
//       "paddingHorizontal",
//       "paddingLeft",
//       "paddingRight",
//       "paddingStart",
//       "paddingTop",
//       "paddingVertical",
//       "position",
//       "resizeMode",
//       "right",
//       "rotation",
//       "scaleX",
//       "scaleY",
//       "shadowColor",
//       "shadowOffset",
//       "shadowOpacity",
//       "shadowRadius",
//       "start",
//       "textAlign",
//       "textAlignVertical",
//       "textDecorationColor",
//       "textDecorationLine",
//       "textDecorationStyle",
//       "textShadowColor",
//       "textShadowOffset",
//       "textShadowRadius",
//       "textTransform",
//       "tintColor",
//       "top",
//       "transform",
//       "transformMatrix",
//       "translateX",
//       "translateY",
//       "width",
//       "writingDirection",
//       "zIndex"
//     ]
export default ComponentsStyles
