import {stringify} from 'qs';
import request from './../utils/request';

export async function queryReportCustomerData(params) {
    return request(`/customer/report_customer/?${stringify(params)}`);
}

export async function queryReportDict() {
    return request(`/customer/dict/`);
}

export async function getUser() {
    return request(`/customer/get_user/`);
}

export async function queryReviewToday(params) {
    return request(`/customer/new_customer/?${stringify(params)}`);
}

export async function queryReviewRecord(params) {
    return request(`/customer/get_review/?${stringify(params)}`);
}

export async function dispatchUser(params) {
    let formdata = new FormData();
    formdata.append('user', params.user[0]);
    return request('/customer/report_customer/' + params.id + '/dispatch_customer/', {
        method: 'POST',
        body: formdata,
    });
}

export async function addReview(params) {
    let formdata = new FormData();
    formdata.append('instruction', params.instruction);
    formdata.append('description', params.description);
    formdata.append('next_time', params.next_time);
    formdata.append('is_giveup', params.is_giveup);
    formdata.append('is_entry', params.is_entry);
    return request('/customer/new_customer/' + params.item.id + '/add_review/', {
        method: 'POST',
        body: formdata,
    });
}

export async function signRepeat(params) {
    return request('/customer/report_customer/' + params.id + '/sign_hit/', {
        method: 'POST',
    });
}

export async function saveReportCustomer(params) {
    let formdata = new FormData();
    formdata.append('name', params.name);
    formdata.append('gender', params.gender);
    formdata.append('tel', params.tel);
    formdata.append('village', params.village);
    formdata.append('address', params.address);
    formdata.append('source', params.source[0]);
    formdata.append('project', JSON.stringify(params.project));
    formdata.append('notes', params.notes);
    return request('/customer/report_customer/', {
        method: 'POST',
        body: formdata,
    });
}
